import { ElementRef, IterableDiffers, DoCheck, SimpleChanges, ChangeDetectorRef, KeyValueDiffers, Renderer2, OnInit, OnChanges, OnDestroy } from '@angular/core';
export declare class IgControlBase<Model> implements DoCheck, OnInit, OnChanges, OnDestroy {
    kvalDiffers: KeyValueDiffers;
    cdr: ChangeDetectorRef;
    options: any;
    protected _differs: any;
    protected _el: any;
    protected _widgetName: string;
    protected _differ: any;
    protected _optsDiffer: any;
    protected _kvalDiffers: any;
    protected _events: Map<string, string>;
    private _evtEmmiters;
    private _nativeElement;
    widgetId: string;
    constructor(el: ElementRef, renderer: Renderer2, differs: IterableDiffers, kvalDiffers: KeyValueDiffers, cdr: ChangeDetectorRef);
    createSetter(name: any): (value: any) => void;
    ngOnInit(): void;
    createMethodGetter(name: any): () => any;
    ngDoCheck(): void;
    ngOnChanges(changes: SimpleChanges): void;
    markForCheck(): void;
    convertToCamelCase(str: any): any;
    ngOnDestroy(): void;
}
