import { AfterContentInit } from '@angular/core';
import { IgGridSortingFeature } from './iggridfeatures/iggridsorting.directive';
import { IgGridFilteringFeature } from './iggridfeatures/iggridfiltering.directive';
import { IgGridPagingFeature } from './iggridfeatures/iggridpaging.directive';
import { IgGridUpdatingFeature } from './iggridfeatures/iggridupdating.directive';
import { IgGridGroupByFeature } from './iggridfeatures/iggridgroupby.directive';
import { IgGridColumnMovingFeature } from './iggridfeatures/iggridcolumnmoving';
import { IgGridHidingFeature } from './iggridfeatures/iggridhiding.directive';
import { IgGridCellMergingFeature } from './iggridfeatures/iggridcellmerging.directive';
import { IgGridResponsiveFeature } from './iggridfeatures/iggridresponsive.directive';
import { IgGridResizingFeature } from './iggridfeatures/iggridresizing.directive';
import { IgGridSelectionFeature } from './iggridfeatures/iggridselection.directive';
import { IgGridRowSelectorsFeature } from './iggridfeatures/iggridrowselectors.directive';
import { IgGridSummariesFeature } from './iggridfeatures/iggridsummaries.directive';
import { IgGridColumnFixingFeature } from './iggridfeatures/iggridcolumnfixing.directive';
import { IgGridTooltipsFeature } from './iggridfeatures/iggridtooltips.directive';
import { IgGridAppendRowsOnDemandFeature } from './iggridfeatures/iggridappendrowsondemand.directive';
import { IgGridMultiColumnHeadersFeature } from './iggridfeatures/iggridmulticolumnheaders.directive';
export declare class Features implements AfterContentInit {
    allFeatures: Array<any>;
    sorting: IgGridSortingFeature;
    filtering: IgGridFilteringFeature;
    paging: IgGridPagingFeature;
    updating: IgGridUpdatingFeature;
    groupBy: IgGridGroupByFeature;
    columnMoving: IgGridColumnMovingFeature;
    hiding: IgGridHidingFeature;
    cellMerging: IgGridCellMergingFeature;
    responsive: IgGridResponsiveFeature;
    resizing: IgGridResizingFeature;
    selection: IgGridSelectionFeature;
    rowSelectors: IgGridRowSelectorsFeature;
    summaries: IgGridSummariesFeature;
    columnFixing: IgGridColumnFixingFeature;
    tooltips: IgGridTooltipsFeature;
    appendRowsOnDemand: IgGridAppendRowsOnDemandFeature;
    multiColumnHeaders: IgGridMultiColumnHeadersFeature;
    addFeature(name: any, parent: any): void;
    ngAfterContentInit(): void;
    private noop;
}
