/// <reference types="ignite-ui" />
import { Feature } from '../feature';
import { ElementRef } from '@angular/core';
export declare class IgGridResponsiveFeature extends Feature<IgGridResponsive> {
    constructor(el: ElementRef);
    /**
     * Destroys the responsive widget.
     */
    destroy(): void;
    /**
     * Returns the currently active responsive mode.
     */
    getCurrentResponsiveMode(): void;
}
