/// <reference types="ignite-ui" />
import { Feature } from '../feature';
import { ElementRef } from '@angular/core';
export declare class IgGridTooltipsFeature extends Feature<IgGridTooltips> {
    constructor(el: ElementRef);
    /**
     * Destroys the tooltip widget.
     */
    destroy(): void;
    /**
     * Returns the ID of the parent div element bounding the ruler and the tooltip container
     */
    id(): string;
}
